<div class="container">
    <div class="card">
        <div class="card-header">
            <h3>Empleados</h3>
        </div>
        <div class="card-body">
            <table class="table table-hover">
                <thead>
                    <tr class="table-success">
                        <th scope="col">ID</th>
                        <th scope="col">NOMBRE</th>
                        <th scope="col">APELLIDO PATERNO</th>
                        <th scope="col">APELLIDO MATERNO</th>
                        <th scope="col">EMAIL</th>
                        <th scope="col">COMPAÑIA</th>
                        <th scope="col">TELEFONO</th>
                        <th scope="col">GENERO</th>
                        <th scope="col">ACCIONES</th>
                    </tr>
                </thead>
                
                <tbody>
                   <tr *ngFor ="let persona of personas" class="text-center">
                       <td>{{persona.id}}</td>
                       <td>{{persona.data.nombre}}</td>
                       <td>{{persona.data.apellidoPat}}</td>
                       <td>{{persona.data.apellidoMat}}</td>
                       <td>{{persona.data.email}}</td>
                       <td>{{persona.data.compania}}</td>
                       <td>{{persona.data.telefono}}</td>
                       <td>{{persona.data.genero}}</td>
                       <td>
                           <button class="btn btn-primary mr-2" type="button" (click)="Editar(persona)"><i class="fas fa-edit">Editar</i></button>
                            <button class="btn btn-danger" type="button" (click)="Delete(persona)"><i class="fas fa-trash-alt">Borrar</i></button>
                       </td>
                   </tr>
                </tbody>
            </table>
            <button (click)="DeleteAll()"  class="btn btn-primary" style="align-items: center;">Eliminar Personas</button>

        </div>
    </div>
</div>
